Skip to main content
`Ctrl`+`K`

# EPSCISSSetThreshold

Sets the values of various threshold parameters in the CISS solver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSCISSSetThreshold(EPS eps,PetscReal delta,PetscReal spur)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- delta - threshold for numerical rank

- spur - spurious threshold (to discard spurious eigenpairs)

## Options Database Keys

- -eps_ciss_delta delta - sets the delta

- -eps_ciss_spurious_threshold spur - sets the spurious threshold

## Notes

`PETSC_CURRENT` can be used to preserve the current value of any of the arguments, and `PETSC_DETERMINE` to set them to a default value.

For a detailed description of the parameters see [Maeda et al., 2016].

## References

[Mae16]

Y. Maeda, T. Sakurai, and J. E. Roman. Contour integral spectrum slicing method in SLEPc. Technical Report STR-11, Universitat Politècnica de València, 2016. URL: https://slepc.upv.es/documentation.

## See Also

EPS: Eigenvalue Problem Solver, `EPSCISS`, `EPSCISSGetThreshold()`, `EPSCISSSetSizes()`, `EPSCISSSetRefinement()`

## Level

advanced

## Location

src/eps/impls/ciss/ciss.c

## Implementations

EPSCISSSetThreshold_CISS() in src/eps/impls/ciss/ciss.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages